AMQPChannel::qos
AMQPChannel::setPrefetchCount
AMQPChannel
PHP Manual

# AMQPChannel::rollbackTransaction

(No version information available, might only be in SVN)

AMQPChannel::rollbackTransaction — Rollback a transaction

### Description

public void AMQPChannel::rollbackTransaction ( void )

Rollback an existing transaction. AMQPChannel::startTransaction() must be called prior to this.

### Parameters

This function has no parameters.

### Errors/Exceptions

Throws AMQPChannelException exception if no transaction was started prior to calling this method.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPChannel::qos
AMQPChannel::setPrefetchCount
AMQPChannel
PHP Manual